GNOME-MOZ-REMOTE(1)

NAME
gnome-moz-remote - remote control of browsers.

SYNOPSIS
gnome-moz-remote [ --remote [=CMD] ] [ --raise ] [ --noraise ] [ --newwin ] [ --local ] [ --version -V ]

DESCRIPTION

gnome-moz-remote open a URL in the current browser, or start a new copy of a browser, pointing at the given page.

OPTIONS

--remote=CMD
    Execute a command inside Netscape.

--raise
    Raise the Netscape window after commands.

--noraise
    Don't raise the Netscape window.

--newwin
    Show the given URL in a new window

--local
    Copy of netscape must be local

--version
    Display version

CONFIGURATION

Without a configuration file, gnome-moz-remote will assume it should use either Netscape or Mozilla. When starting a new web browser, it will try to find a mozilla binary. If it finds one, it will use it. If not, it will start netscape instead. If you want to start a different browser instead of the default, create a file named ~/.gnome/gnome-moz-remote with the following contents:
	  [Mozilla]
	  filename=netscape
	  NEEDS_TERM=false
	  NREMOTE=true
If the web browser needs a terminal, set NEEDS_TERM to true. If the web browser understands the Netscape Remote Protocol,
	http://www.netscape.com/newsref/std/x-remote.html
set NREMOTE to true. Otherwise, it should be false. As of this writing, only Mozilla and Netscape support this protocol, although it would be trivial to add support to other Open Source browsers. Note that if you set NREMOTE to false, gnome-moz-remote will never try to contact a currently running browser, but will always start a new instance.

AUTHOR

This manual page was originally written by Christian Marillat <marillat@debian.org> for the Debian GNU/Linux system (but may be used by others). The documentation for the gnome-moz-remote configuration file was added by Benjamin Kahn <xkahn@ximian.com> for the GNOME Project.